Delete Users
/unified/user-directory/users/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
Where to remove the user from
grouporganization
1 supported1 required
The ID of the group or organization to remove the user from.
1 supported1 required
The emails of the user
33 supported1 required
The email address
Whether the email address is primary
The type of email address
5 supported5 required3 notes
The ID of the organization to remove the user from
The unique identifier of an organization
The unique identifier for the organization
6 supported5 required3 notes
The unique identifier for the workspace
The unique identifier for a group
The unique identifier for the workspace
Set this value if you want to delete the user from a group.
3 supported1 required
azure_active_directoryworkspace
2 supported1 required2 notes
workspaceSelect the product from which you want to delete the user.
azure_active_directorySelect the product for which you want to delete the user.
The type of user
adminend_user
4 supported1 required
2 supported2 required
Set to true if you wish to delete user permanently.
1 supported
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for a user
35 supported
The date and time the user was activated
3 supported
The avatar of the user
11 supported
The bio of the user. Usually a short description set by the user about them.
2 supported
The date and time the user was created
23 supported
The emails of the user
32 supported
The email address
Whether the email address is primary
The type of email address
The external identifier for a user. This is set when the SCIM API is being used.
4 supported
The first name of the user
20 supported
The groups of the user
9 supported
The unique identifier for a group
The name of the group
The unique identifier of the organization to which the group belongs
The identifiers of the user.
Whether the user has 2FA enabled
4 supported
Whether the user's email has been verified
2 supported
The languages preferred by the user
11 supported
The date and time the user was last active
1 supported
The date and time the user was last logged in
11 supported
The last name of the user
20 supported
The licenses of the user or the products the user has access to
14 supported
The unique identifier for a license
The date and time the user was last active for the license
The name of the license
The unique identifier of the organization to which the license belongs
The name of the user
32 supported
The organizations of the user
4 supported
The unique identifier for an organization
The name of the organization
The phones of the user
18 supported
The extension of the phone number
The phone number
The type of phone number
Raw data returned from the remote API call.
The roles of the user
26 supported
The role of the user in the group. This is available when the user can have different roles in different groups or teams in an application.
The unique identifier for a role
The name of the role
The role of the user in the organization. This is available when the user can have different roles in different organizations in an application.
The role of the user in the workspace. This is available when the user can have different roles in different workspaces in an application.
The status of the user. If no clear mapping is available, then the raw value is returned.
activeinactivedeletedinvited
25 supported
The date and time the user's status was last changed
1 supported
The timezone of the user
13 supported
The title of the user
6 supported
The date and time the user was last updated
18 supported
The URLs of the user
1 supported
The type of URL
The URL
The type of user
3 supported
The username of the user
11 supported
The workspaces of the user
The unique identifier for a workspace
The name of the workspaces
curl -X DELETE 'https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/user-directory/users/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'DELETE',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/user-directory/users/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.delete(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.delete(
'user-directory',
'users',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.delete(
"user-directory",
"users",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())